com.dlsc.flexgantt.swing.action.treetable

## Class AbstractTreeTableAction

- java.lang.Object
- - javax.swing.AbstractAction
  - - com.dlsc.flexgantt.swing.action.AbstractFlexGanttAction
    - - com.dlsc.flexgantt.swing.action.treetable.AbstractTreeTableAction

- All Implemented Interfaces:
    ActionListener, Serializable, Cloneable, EventListener, Action
  Direct Known Subclasses:
    ClearSelectionAction, CollapseNodeAction, DeleteNodeAction, ExpandNodeAction, IndentNodeAction, InsertNodeAction, OutdentNodeAction, SelectAllNodesAction

      public abstract class AbstractTreeTableAction
      extends AbstractFlexGanttAction

  An abstract action implementation that is specialized on performing operations on a tree table. The class provides methods for setting and getting a reference to a tree table.
  Since:
    1.0
  Version:
    $Revision: 1.3 $
  Author:
    Dirk Lemmermann
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected TreeTable` | `treeTable` Stores a reference to the tree table.

    - ### Fields inherited from class javax.swing.AbstractAction

      `changeSupport, enabled`

    - ### Fields inherited from interface javax.swing.Action

      `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractTreeTableAction(TreeTable table, String name)` Constructs a new tree table action.
    `AbstractTreeTableAction(TreeTable table, String name, Icon icon)` Constructs a new tree table action.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TreeTable` | `getTreeTable()` Returns the tree table on which the action will be performed.
    `void` | `setTreeTable(TreeTable table)` Sets the tree table on which the action will be performed.

    - ### Methods inherited from class com.dlsc.flexgantt.swing.action.AbstractFlexGanttAction

      `getToolTipText, setToolTipText`

    - ### Methods inherited from class javax.swing.AbstractAction

      `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.awt.event.ActionListener

      `actionPerformed`

- - ### Field Detail

    - #### treeTable

          protected TreeTable treeTable

      Stores a reference to the tree table.
      Since:
        1.0
      See Also:
        `setTreeTable(TreeTable)`, `getTreeTable()`

  - ### Constructor Detail

    - #### AbstractTreeTableAction

          public AbstractTreeTableAction(TreeTable table,
                                         String name,
                                         Icon icon)

      Constructs a new tree table action.
      Parameters:
        `table` - the tree table on which the action will be performed
        `name` - the name of the action that will be displayed on buttons and / or menu items
        `icon` - a graphical representation of the action
      Since:
        1.0

    - #### AbstractTreeTableAction

          public AbstractTreeTableAction(TreeTable table,
                                         String name)

      Constructs a new tree table action.
      Parameters:
        `table` - the tree table on which the action will be performed
        `name` - the name of the action that will be displayed on buttons and / or menu items
      Since:
        1.0

  - ### Method Detail

    - #### getTreeTable

          public TreeTable getTreeTable()

      Returns the tree table on which the action will be performed.
      Returns:
        the actions target tree table
      Since:
        1.0

    - #### setTreeTable

          public void setTreeTable(TreeTable table)

      Sets the tree table on which the action will be performed.
      Parameters:
        `table` - the action's target tree table
      Since:
        1.0

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.